<rtflowfile version="1.0">
   <block name="Position" folder="User\" width="64" height="80">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="64" y2="80">
         <fill fill="true" color="0x00BBFFFF"/>
      </graphic>
      <port name="rot" type="real" x="0" y="16" kind="input" dir="left"/>
      <port name="thrust" type="bool" x="0" y="32" kind="input" dir="left"/>
      <port name="startx" type="real" x="0" y="48" kind="input" dir="left"/>
      <port name="x" type="real" x="64" y="16" kind="output" dir="right"/>
      <port name="y" type="real" x="64" y="32" kind="output" dir="right"/>
   </block>
   <schematic name="Position" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="rot" block="RealInput" x="80" y="88"/>
      <binstance name="thrust" block="BoolInput" x="80" y="184"/>
      <binstance name="Real1" block="Real" x="112" y="176"/>
      <binstance name="Sin1" block="Sin" x="160" y="128"/>
      <binstance name="Cos1" block="Cos" x="160" y="80"/>
      <binstance name="Gravitation" block="Value" x="64" y="224">
         <instancename show="true" position="up"/>
         <blockname show="false" position="down"/>
         <portnames show="false" inside="false"/>
         <constant name="value" value="0.3" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="Add1" block="Add" x="368" y="144"/>
      <binstance name="Mult1" block="Mult" x="304" y="80"/>
      <binstance name="Mult2" block="Mult" x="304" y="128"/>
      <binstance name="Integral2" block="Integral" x="544" y="144">
         <instancename show="false" position="up"/>
         <blockname show="false" position="down"/>
         <portnames show="false" inside="true"/>
      </binstance>
      <binstance name="Integral4" block="Integral" x="544" y="80">
         <instancename show="false" position="up"/>
         <blockname show="false" position="down"/>
         <portnames show="false" inside="true"/>
      </binstance>
      <binstance name="startx" block="RealInput" x="80" y="32"/>
      <binstance name="Add2" block="Add" x="640" y="32"/>
      <binstance name="Add3" block="Add" x="640" y="144"/>
      <binstance name="x" block="RealOutput" x="720" y="40"/>
      <binstance name="y" block="RealOutput" x="720" y="152"/>
      <binstance name="Acceleration" block="Gain" x="160" y="176">
         <instancename show="true" position="up"/>
         <blockname show="false" position="down"/>
         <portnames show="false" inside="false"/>
         <constant name="gain" value="20" show="true" x="11" y="16"/>
      </binstance>
      <binstance name="StartY" block="Value" x="64" y="256">
         <instancename show="true" position="up"/>
         <blockname show="false" position="down"/>
         <portnames show="false" inside="false"/>
         <constant name="value" value="380" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="Negation1" block="Negation" x="224" y="128">
         <instancename show="false" position="up"/>
         <blockname show="false" position="down"/>
         <portnames show="true" inside="false"/>
      </binstance>
      <binstance name="OutsideScreen1" block="OutsideScreen" x="304" y="304"/>
      <binstance name="SpeedX" block="IntegralWithNegate" x="464" y="80"/>
      <binstance name="SpeedY" block="IntegralWithNegate" x="464" y="144"/>
      <connection name="thrust" port1="thrust.o" port2="Real1.i0">
         <point x="96" y="192"/>
         <point x="112" y="192"/>
      </connection>
      <connection name="rot" port1="rot.o" port2="Sin1.i0">
         <point x="96" y="96"/>
         <point x="128" y="96"/>
         <point x="128" y="144"/>
         <point x="160" y="144"/>
      </connection>
      <connection name="rot" port1="rot.o" port2="Cos1.i0">
         <point x="96" y="96"/>
         <point x="160" y="96"/>
      </connection>
      <connection name="gravitation" port1="Gravitation.o" port2="Add1.i1">
         <point x="96" y="232"/>
         <point x="352" y="232"/>
         <point x="352" y="168"/>
         <point x="370" y="168"/>
      </connection>
      <connection name="cos" port1="Cos1.o" port2="Mult1.i0">
         <point x="192" y="96"/>
         <point x="224" y="96"/>
         <point x="224" y="88"/>
         <point x="306" y="88"/>
      </connection>
      <connection name="accy" port1="Mult2.o" port2="Add1.i0">
         <point x="336" y="144"/>
         <point x="353" y="144"/>
         <point x="353" y="152"/>
         <point x="370" y="152"/>
      </connection>
      <connection name="startx" port1="startx.o" port2="Add2.i0">
         <point x="96" y="40"/>
         <point x="642" y="40"/>
      </connection>
      <connection name="px" port1="Integral4.o" port2="Add2.i1">
         <point x="576" y="96"/>
         <point x="609" y="96"/>
         <point x="609" y="56"/>
         <point x="642" y="56"/>
      </connection>
      <connection name="py" port1="Integral2.o" port2="Add3.i0">
         <point x="576" y="160"/>
         <point x="608" y="160"/>
         <point x="608" y="152"/>
         <point x="642" y="152"/>
      </connection>
      <connection name="x" port1="Add2.o" port2="x.i0">
         <point x="672" y="48"/>
         <point x="720" y="48"/>
      </connection>
      <connection name="y" port1="Add3.o" port2="y.i0">
         <point x="672" y="160"/>
         <point x="720" y="160"/>
      </connection>
      <connection name="thrust1" port1="Acceleration.o" port2="Mult1.i1">
         <point x="192" y="192"/>
         <point x="288" y="192"/>
         <point x="288" y="104"/>
         <point x="306" y="104"/>
      </connection>
      <connection name="thrust1" port1="Acceleration.o" port2="Mult2.i1">
         <point x="192" y="192"/>
         <point x="288" y="192"/>
         <point x="288" y="152"/>
         <point x="306" y="152"/>
      </connection>
      <connection name="t" port1="Real1.o" port2="Acceleration.i0">
         <point x="144" y="192"/>
         <point x="160" y="192"/>
      </connection>
      <connection name="starty" port1="StartY.o" port2="Add3.i1">
         <point x="96" y="264"/>
         <point x="624" y="264"/>
         <point x="624" y="168"/>
         <point x="642" y="168"/>
      </connection>
      <connection name="sin" port1="Sin1.o" port2="Negation1.i">
         <point x="192" y="144"/>
         <point x="224" y="144"/>
      </connection>
      <connection name="negsin" port1="Negation1.o" port2="Mult2.i0">
         <point x="256" y="144"/>
         <point x="281" y="144"/>
         <point x="281" y="136"/>
         <point x="306" y="136"/>
      </connection>
      <connection name="x" port1="Add2.o" port2="OutsideScreen1.x">
         <point x="672" y="48"/>
         <point x="704" y="48"/>
         <point x="704" y="400"/>
         <point x="272" y="400"/>
         <point x="272" y="320"/>
         <point x="304" y="320"/>
      </connection>
      <connection name="y" port1="Add3.o" port2="OutsideScreen1.y">
         <point x="672" y="160"/>
         <point x="688" y="160"/>
         <point x="688" y="384"/>
         <point x="288" y="384"/>
         <point x="288" y="336"/>
         <point x="304" y="336"/>
      </connection>
      <connection name="out_x" port1="OutsideScreen1.x_outside" port2="SpeedX.negate">
         <point x="352" y="336"/>
         <point x="416" y="336"/>
         <point x="416" y="112"/>
         <point x="464" y="112"/>
      </connection>
      <connection name="out_y" port1="OutsideScreen1.y_outside" port2="SpeedY.negate">
         <point x="352" y="352"/>
         <point x="432" y="352"/>
         <point x="432" y="176"/>
         <point x="464" y="176"/>
      </connection>
      <connection name="accx" port1="Mult1.o" port2="SpeedX.i">
         <point x="336" y="96"/>
         <point x="464" y="96"/>
      </connection>
      <connection name="ay" port1="Add1.o" port2="SpeedY.i">
         <point x="400" y="160"/>
         <point x="464" y="160"/>
      </connection>
      <connection name="sy" port1="SpeedY.o" port2="Integral2.i0">
         <point x="512" y="160"/>
         <point x="544" y="160"/>
      </connection>
      <connection name="sx" port1="SpeedX.o" port2="Integral4.i0">
         <point x="512" y="96"/>
         <point x="544" y="96"/>
      </connection>
   </schematic>
</rtflowfile>
